Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hr.tis.mgw.client.security
Class SingleRouteCredentialsHandlerImpl

    java.lang.Object
      hr.tis.mgw.client.security.SingleRouteCredentialsHandlerImpl

All Implemented Interfaces:
  RouteCredentialsHandler

Deprecated. Deprecated for mGw version 2.

public class SingleRouteCredentialsHandlerImpl
extends java.lang.Object
implements RouteCredentialsHandler

Convenience `RouteCredentialsHandler` implementation that provides single `RouteCredentials` instance regardless of route ID. Useful when there is only one route that one is working with. Credentials and authentication are now used directly in xManager2. Specify username and password parameters for various methods to achive authentication.

Constructor Summary
`SingleRouteCredentialsHandlerImpl()` Deprecated.

Method Summary
`RouteCredentials` | `getCredentials(java.lang.String routeId)` Deprecated. Returns security credentials for specified route.
`void` | `setPassword(java.lang.String password)` Deprecated.
`void` | `setUsername(java.lang.String username)` Deprecated.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleRouteCredentialsHandlerImpl

    public SingleRouteCredentialsHandlerImpl()

  Deprecated.

Method Detail

### getCredentials

    public RouteCredentials getCredentials(java.lang.String routeId)

  Deprecated.
  Description copied from interface: `RouteCredentialsHandler`
  Returns security credentials for specified route.

  When service is unable to resolve credentials for required routeId, it should return `null`.

  Specified by:
    `getCredentials` in interface `RouteCredentialsHandler`
  Parameters:
    `routeId` - route identifier
  Returns:
    RouteCredentials instance

### setPassword

    public void setPassword(java.lang.String password)

  Deprecated.

### setUsername

    public void setUsername(java.lang.String username)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007, TIS.kis d.o.o. All Rights Reserved.